#include <16F628.h>
#use delay(clock=20000000)
#fuses NOWDT,HS, NOPUT, NOPROTECT, NOBROWNOUT, NOMCLR, NOLVP, NOCPD
#use rs232(baud=9600,parity=N,xmit=PIN_B2,rcv=PIN_B1,bits=8,errors)
#include <string.h>

void main(void)
{
   char Version[]={"CHANGEIPDAVID   2007    "};
   int i;

   setup_timer_0(RTCC_INTERNAL);
   setup_timer_1(T1_DISABLED);
   setup_timer_2(T2_DISABLED,0,1);
   setup_comparator(NC_NC_NC_NC);
   setup_vref(FALSE);

   for(i=0;i<strlen(Version);i++) write_eeprom (i,Version[i]); // version
   delay_ms(10000);

   putc(0x00);    delay_ms(1);      // 20 nop pour synchro
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(1);
   putc(0x00);    delay_ms(100);

   putc(0x93);    delay_ms(1);      // IP  192.168.0.10
   putc(0xE6);    delay_ms(1);
   putc(0xFF);    delay_ms(1);

   putc(192);     delay_ms(1);
   putc(168);     delay_ms(1);
   putc(0);       delay_ms(1);
   putc(11);      delay_ms(100);
   while(1);
}
